<template>
    <view class="save-component">
        <u-navbar :bgStatusImage="backPic0" :bgImage="backPic" :title="topTitle" :safeAreaInsetTop="true"
            leftIcon="arrow-left" @leftClick="handlerToggle">
        </u-navbar>
        <u-list :height="666">
            <u-list-item v-for="(item, index) in zcList" :key="index">
                <u-cell icon="list-dot">
                    <view slot="title" class="u-slot-title">
                        <text class="u-cell-text">
                            <text>{{ item.bc }}</text>
                            <text style="margin-left:75px">{{ item.count }}</text>
                        </text>
                    </view>
                    <view slot="value" class="u-slot-title">
                        <u-tag text="提交" plain size="mini" type="primary" @click="getsubmit(item)">
                        </u-tag>
                    </view>
                </u-cell>
            </u-list-item>
        </u-list>

    </view>
</template>

<script>
import api from "@/api/api";
import moment from 'moment'
export default {
    name: 'save-component',

    props: {},

    data() {
        return {

            indexList: [],
            topTitle: '暂存列表',//标题
            backPic0: "url(/static/topnavbar0.png)",
            backPic: "url(../../static/topnavbar.png)",
        }
    },
    computed: {
        zcList: function () {
            return uni.getStorageSync('zcList')
        },
    },
    mounted() { },
    methods: {
        //点击返回上一级
        handlerToggle() {
            this.$emit('closeZc',null)
        },
        //提交
        getsubmit(item) {
            this.$emit('closeZc', item)
        }
    }

};
</script>

<style lang="scss" scoped>
.save-component {
    position: relative;
    width: 100%;
    height: 100%;
    background-color: #fff;

}




::v-deep .u-cell__body {
    font-size: 14px;
}

::v-deep .u-popup {
    flex: 0
}

::v-deep .u-slot-title {
    display: flex;
}
</style>